opencv vulnerabilities

Direct Vulnerabilities

Known vulnerabilities in the opencv package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Out-of-Bounds

>=3.3.1, <3.4.1
  • H
Denial of Service (DoS)

>=3.3.1
  • H
Denial of Service (DoS)

>=3.3.1
  • H
Out-of-Bounds

>=0.0.0, <3.3.1
  • H
Out-of-bounds Write

>=0.0.0, <3.3.1
  • H
Integer Overflow or Wraparound

>=0.0.0, <3.3.1
  • H
NULL Pointer Dereference

>=0.0.0
  • M
Improper Input Validation

>=3.3.1, <3.4.1
  • M
Out-of-Bounds

>=0.0.0
  • H
Out-of-Bounds

>=0.0.0
  • H
Double Free

>=3.0.0, <3.3.1
  • H
Integer Overflow or Wraparound

>=0.0.0, <3.3.1
  • H
Integer Overflow or Wraparound

>=0.0.0, <3.3.1
  • M
Out-of-bounds Write

>=2.4.10, <3.3.1